Cyberduck Mountain Duck CLI

#7894 closed defect (fixed)

Wrong hostname in signed URL for S3 compatible services

Reported by: daiki ishimori Owned by: dkocher
Priority: normal Milestone: 4.4.5
Component: s3 Version: Nightly Build
Severity: major Keywords: s3 Signed URL
Cc: Architecture:
Platform:

Description

#7783

the signed url is not support other s3 compatible services.

Attachments (1)

screenshot-2014-04-24 17.17.44.png (67.6 KB) - added by daiki ishimori on Apr 24, 2014 at 8:19:31 AM.

Download all attachments as: .zip

Change History (7)

Changed on Apr 24, 2014 at 8:19:31 AM by daiki ishimori

comment:1 Changed on Apr 24, 2014 at 10:57:26 AM by dkocher

  • Milestone changed from 4.5 to 4.4.4
  • Resolution set to duplicate
  • Status changed from new to closed

comment:2 Changed on Apr 24, 2014 at 6:10:30 PM by daiki ishimori

  • Resolution duplicate deleted
  • Status changed from closed to reopened

Did you watch a screenshot attached file( screenshot-2014-04-24 17.17.44.png ​)?

generated signed URL is not correct when s3 compatible services.

Even though I did not use the Amazon S3, host is used "s3.amazonaws.com".

please watch screenshot.

comment:3 Changed on Apr 24, 2014 at 8:10:17 PM by dkocher

  • Milestone changed from 4.4.4 to 4.5
  • Status changed from reopened to new
  • Summary changed from the signed url is not support other s3 compatible services to Wrong hostname in signed URL for S3 compatible services

comment:5 Changed on Apr 24, 2014 at 8:26:38 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r14508.

comment:6 Changed on May 2, 2014 at 9:13:14 AM by dkocher

  • Milestone changed from 4.5 to 4.4.5
Note: See TracTickets for help on using tickets.
swiss made software